public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/criterion/
Date: Fri, 20 Dec 2019 05:45:59 +0000 (UTC)	[thread overview]
Message-ID: <1576820707.0a97bed539cc8f61dbdbda86214a5f0d84cc84ff.juippis@gentoo> (raw)

commit:     0a97bed539cc8f61dbdbda86214a5f0d84cc84ff
Author:     Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Thu Dec 19 15:05:39 2019 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Dec 20 05:45:07 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a97bed5

dev-libs/criterion: add new package

Needed for app-admin/syslog-ng tests

Package-Manager: Portage-2.3.82, Repoman-2.3.20
Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-libs/criterion/Manifest               |  1 +
 dev-libs/criterion/criterion-2.3.3.ebuild | 54 +++++++++++++++++++++++++++++++
 dev-libs/criterion/metadata.xml           | 15 +++++++++
 3 files changed, 70 insertions(+)

diff --git a/dev-libs/criterion/Manifest b/dev-libs/criterion/Manifest
new file mode 100644
index 00000000000..4b651b0aa21
--- /dev/null
+++ b/dev-libs/criterion/Manifest
@@ -0,0 +1 @@
+DIST criterion-v2.3.3.tar.bz2 1821413 BLAKE2B 7972bf03870ae07da57252f7d62f3f5818755ad9ea2a0bed7b73d42649fbf5069c1a9af16bd8da9366d0506bbc86ec93a12904809bf91e36618d53f5d8674c18 SHA512 bf53716ff90421a42dd4d1bbd61451a4183aa6436af901c222e43e9e9b3e008008a891157a1c982b80c04e7e68aadc287392503094a3c4ad9c2066432d548e16

diff --git a/dev-libs/criterion/criterion-2.3.3.ebuild b/dev-libs/criterion/criterion-2.3.3.ebuild
new file mode 100644
index 00000000000..ffb7d5c2202
--- /dev/null
+++ b/dev-libs/criterion/criterion-2.3.3.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+CMAKE_MAKEFILE_GENERATOR="emake"
+inherit cmake-utils
+
+DESCRIPTION="Cross platform unit testing framework for C and C++"
+HOMEPAGE="https://github.com/Snaipe/Criterion"
+SRC_URI="https://github.com/Snaipe/Criterion/releases/download/v${PV}/${PN}-v${PV}.tar.bz2"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+REPEND="dev-libs/nanomsg:="
+DDEPEND="${DEPEND}
+	test? ( dev-util/cram )"
+BDEPEND="virtual/pkgconfig"
+
+S="${WORKDIR}/${PN}-v${PV}"
+
+QA_EXECSTACK="usr/lib*/libcriterion.so*"
+
+src_configure() {
+	local mycmakeargs=(
+		-DCTESTS="$(usex test ON OFF)"
+	)
+
+	cmake-utils_src_configure
+}
+
+src_compile() {
+	cmake-utils_src_compile
+
+	if use test; then
+		cmake-utils_src_make criterion_tests
+	fi
+}
+
+src_install() {
+	cmake-utils_src_install
+
+	if [[ "/usr/lib" != "/usr/$(get_libdir)" ]]; then
+		mkdir -p "${D}/usr/$(get_libdir)" || die
+		mv "${D}"/usr/lib/libcriterion.so* "${D}/usr/$(get_libdir)/" || die
+	fi
+
+	sed -i "s@${prefix}/lib@${prefix}/$(get_libdir)@g" \
+		"${D}/usr/share/pkgconfig/criterion.pc" || die
+}

diff --git a/dev-libs/criterion/metadata.xml b/dev-libs/criterion/metadata.xml
new file mode 100644
index 00000000000..5df5b286363
--- /dev/null
+++ b/dev-libs/criterion/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <maintainer type="person">
+    <email>hydrapolic@gmail.com</email>
+    <name>Tomáš Mózes</name>
+  </maintainer>
+  <maintainer type="project">
+    <email>proxy-maint@gentoo.org</email>
+    <name>Proxy Maintainers</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">Snaipe/Criterion</remote-id>
+  </upstream>
+</pkgmetadata>


             reply	other threads:[~2019-12-20  5:46 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-12-20  5:45 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2019-12-20 14:21 [gentoo-commits] repo/gentoo:master commit in: dev-libs/criterion/ Joonas Niilola
2020-01-13 12:54 Joonas Niilola
2020-06-25 11:18 Joonas Niilola
2020-06-26 17:43 Agostino Sarubbo
2020-11-16 22:53 Sergei Trofimovich
2021-03-15  6:36 Sam James
2021-03-15  6:38 Sam James
2021-04-01 12:19 Thomas Deutschmann
2021-06-01 11:44 Sam James
2021-06-15 14:42 Sam James
2021-12-09 16:22 Agostino Sarubbo
2021-12-21  1:56 Sam James
2021-12-21  1:56 Sam James
2022-01-29 10:04 Jakov Smolić
2022-02-03  2:25 Sam James
2022-02-03  2:25 Sam James
2022-03-16 17:33 Sam James
2022-03-16 17:33 Sam James
2022-04-29 15:16 Joonas Niilola
2022-04-29 15:16 Joonas Niilola
2022-04-29 15:18 Joonas Niilola
2022-05-18 15:14 Joonas Niilola
2022-05-18 15:14 Joonas Niilola
2022-07-20 16:21 Sam James
2023-02-17  7:36 Sam James
2024-03-07 17:23 Andreas K. Hüttel
2024-03-11 14:24 Sam James
2024-03-12 21:44 Arthur Zamarin
2024-06-22 19:13 Conrad Kostecki
2024-06-22 19:13 Conrad Kostecki
2024-12-28  2:53 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1576820707.0a97bed539cc8f61dbdbda86214a5f0d84cc84ff.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox